apiVersion: apps/v1
kind: Deployment
metadata:
    name: ddns-update
    namespace: my-stuff
    labels:
        app: ddns-update
spec:
    replicas: ENC[AES256_GCM,data:gg==,iv:UYqnuuz3vf9MsmU/YKJ9aRQavKPy9+qvHatCHZOEK1k=,tag:N00vehYzVp7IDZ9rRj9pIg==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:Cs++VMVm4a/6cfA=,iv:qn3d73g+YEFvl4NSySjCDpbsSUaGWhHE1+ZcRE6oHOU=,tag:Xi6fheKezLijTWoq42U5vg==,type:str]
    template:
        metadata:
            labels:
                app: ddns-update
        spec:
            containers:
                - name: ENC[AES256_GCM,data:18837cfrXGeLoFI=,iv:DCVL8pS2ZEFyIgeUSUv2fwqoM4PSXCs7PxQNVHmljqg=,tag:y+JxL4caw+cgx4Y5P4Mt6Q==,type:str]
                  image: ENC[AES256_GCM,data:R9s/MeOSyQel+qurhRbLY7xD/4gshdTj6Vit3jDZDy5eYtGKo3ycpFw6cw==,iv:FBqkbFAMiT9KZIOZm2iK9wLVzK8evGgmedY+lfEQxBA=,tag:ZTqau88Kql6OcamSogkk+w==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:iOnzP2S9ODN2LPkC,iv:BVSbOzvaescParUBhxW4pR833cnuaZ5nCDgtA/1KLz4=,tag:kFNmDFxXhFDEt/v73Hi1XA==,type:str]
                  resources: {}
                  envFrom:
                    - secretRef:
                        name: ENC[AES256_GCM,data:IvFi//qN0MIF3bBjc3T7EA==,iv:tuCH7LQXC+NEgeT5oWX9PXddas8BY+5XyMZpylB3FlA=,tag:qvDFZYClKPg5IVw8f2ZhfQ==,type:str]
                    - secretRef:
                        name: ENC[AES256_GCM,data:0VJi4dGvqpdFOb8eu6k=,iv:lofu8k6a6czMJiPTwHYwnzJ4WXq9/nxPKSCIR+PctkI=,tag:6qo7eTsnIw4PZQk0KvTtlA==,type:str]
            restartPolicy: ENC[AES256_GCM,data:SCz6CJoI,iv:c7pY6EGKqXew6pWqYzmKL0wfjENtjV9xoxb1R4G9w3o=,tag:Qoxou5SxzKX1p2VnUmj+SQ==,type:str]
            imagePullSecrets:
                - name: ENC[AES256_GCM,data:P9G345SjdfUA+IY=,iv:UxwrKuwnqoC3JBXhwpCbSLpTkTnVUUqAr4IM3ukTaUw=,tag:9KpZ6cHW5KyhkRzsK6vRlQ==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBBTnhaMWhidElXaG1EcEYz
            OTg1amZEcldYYnEydnZ2cGJCdy8wVDkra3c4CkZoWHhRTlZvOU5sa2MwbXdzRFJI
            ZmRickJuMGVWWU9sNkx6TC9maFdpSWMKLS0tIEdTVG5WQ21kaGVXTVNpL1FXT0V4
            WGZsNUJkSDI4WmRqZzVzaVNUTFAwVzgKdc5ikfI58zB4UZl69qdBoZeSZE5p5SHT
            EE/7Mgj9xsEKQm+sowH5+kkMRwwQbi10vr3+aC6LQH0pXw1W7jZapA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:jOD6h5WL/bS6Cy46WSeiK8i3zQpn9S9ocnkBqvSwo39vnafvyjWXILMMu1yrz3zoc4CKpSoJhRVTLPMLuobv9jrpRlx11gfh6gsYeYVZ0mCzlptd0kjDx28YApzkNC754dUbvpQcRdSchwqkr+ZA+OGL2AN10AeYL2msxi2uIHs=,iv:gxdDXhTLndMFHCcvhv4TaYqVpHFCPoXU45X1qTCdKgE=,tag:XKiDTRK4BmO8Hd9PsN7qvA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
